# $Revision: 1.12 $, $Date: 2002/09/03 12:45:30 $
Summary:	LiveIce Plugin for XMMS
Summary(pl):	Plugin LiveIce dla XMMS
Name:		xmms-effect-liveice
Version:	1.0.0
Release:	4
License:	GPL v2+
Group:		Applications/Sound
Source0:	http://star.arm.ac.uk/~spm/software/liveice-xmms.tar.gz
URL:		http://star.arm.ac.uk/~spm/software/liveice.html
BuildRequires:	xmms-devel >= 1.0.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires:	xmms
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6

%description
LiveIce XMMS is an effects plugin for xmms which sends streams to
IceCast and provides a limited set of functions similar to those
provided by liveice but without half the hassle. LiveIce XMMS lacks
many of the features of the full version of LiveIce but provides the
main functions needed to stream from xmms. Much of this simplicity
comes from the GUI which was designed by Peter from the XMMS team.

%description -l pl
LiveIce XMMS jest pluginem dla xmms ktry wysya strumienie po IceCast
i zapewnia ograniczony zestaw funkcji podobnych do tych, ktre daje
liveice. LiveIce XMMS nie ma wielu funkcji penej wersji liveice, ale
zawiera funkcje potrzebne do dostarczania strumienia z xmms. Wikszo
funkcji jest dostpna z GUI zaprojektowanego przez Petera z zespou
XMMS.

%prep
%setup -q -n LiveIce-%{version}
%build
%{__libtoolize}
aclocal
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT;

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/xmms/Effect/*so
%attr(755,root,root) %{_libdir}/xmms/Effect/*la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: xmms-effect-liveice.spec,v $
Revision 1.12  2002/09/03 12:45:30  kloczek
- release 4.

Revision 1.11  2002/08/26 08:27:45  qboosh
- GPL v2+

Revision 1.10  2002/08/26 07:28:26  kloczek
- release 3: License changed to GPL v2 and aded using new %doc.

Revision 1.9  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.8  2002/05/21 23:15:06  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/02/23 05:29:55  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/09/30 10:10:10  qboosh
- BuildRequires: autoconf, automake, libtool
- pl translations

Revision 1.3  2001/09/30 01:02:20  blues
- release 2
- ac2.5 ready

Revision 1.2  2000/12/20 00:47:41  kloczek
- do not include in %files %%{_libdir}/xmms/Effect (this directory belongs
  to xmms),
- few cosmetics.

Revision 1.1  2000/12/20 00:13:50  waszi
- initial rpm release

Based on spec by Ryan Weaver <ryanw@infohwy.com>.
